from rest_framework import serializers

from .models import TestOrg,TestOrgNotice
from apps.system.serializers import DictSerializer


class TestOrgSerializer(serializers.ModelSerializer):
    class Meta:
        model = TestOrg
        fields = '__all__'
class TestOrgNoticeSerializer(serializers.ModelSerializer):
    class Meta:
        model = TestOrgNotice
        fields = '__all__'
class TestOrgNoticListSerializer(serializers.ModelSerializer):
    dettonotice = TestOrgSerializer(many=True)
    class Meta:
        model = TestOrgNotice
        fields = ['id','name','publishdate','ismportant','note','dettonotice','path']
